Subject: Re: [RFC/RFT PATCH net-next 0/4] KSZ DSA driver: xMII speed adjustment and partial reg_fields conversion

From: Oleksij Rempel <[email-masked]>
Date: Fri, 17 Mar 2023 07:02:20 +0100

Hi Vladimir,

On Thu, Mar 16, 2023 at 06:12:46PM +0200, Vladimir Oltean wrote:
> Hi,
> 
> Yesterday I picked up this patch and resubmitted it:
> https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/
> here:
> https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/
> 
> and today I'm trying to address the rest of the points brought up in
> that conversation, namely:
> 
> - commit c476bede4b0f ("net: dsa: microchip: ksz8795: use common xmii
>   function") stopped adjusting the xMII port speed on KSZ8795, does it
>   still work? No idea. Patch 3/4 deals with that.
> 
> - Mapping P_XMII_CTRL_0 and P_XMII_CTRL_1 to the same value on KSZ8795
>   raised some eyebrows, and some reading shows that it is also partially
>   incorrect (see patch 2/4). This is also where I propose to convert to
>   reg_fields.
> 
> As it turns out, patch 2/4 is a dependency for patch 3/4, even if 3/4
> may be a fix.
> 
> Patch 1/4 is a dependency of 2/4.
> 
> Patch 4/4 is something I also noticed during review. I left it at the
> end so that it won't conflict with something that could reasonably be
> submitted as a bug fix.
> 
> ABSOLUTELY NO TESTING WAS DONE. I don't have the hardware.
> 
> THIS BREAKS EVERYTHING EXCEPT FOR KSZ8795. Any testers should test on
> that if possible (due to both patches 2/4, and 3/4).

I can test it on KSZ8873, but currently it is not compiling on top of net-next.

Regards,
Oleksij
-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |